## cl-usocket 0.3.5

=== Makefile ===
# $Id: Makefile 80 2006-02-12 10:09:49Z ehuelsmann $
# $URL: svn+ssh://ehuelsmann@common-lisp.net/project/usocket/svn/usocket/tags/0.3.5/Makefile $

clean:
	find -name -o -name "*~" -o -name "*.err" -o -name "*.x86f" -o -name "*.lib" -o -name "*.fas" -o -name "*.fasl" -o -name "*.faslmt" -o -name "*.ufsl" -o -name "*.abcl" | xargs rm

commit:
	make clean; svn up; svn ci

## cl-usocket 0.4.1

=== Makefile ===
# $Id: Makefile 80 2006-02-12 10:09:49Z ehuelsmann $
# $URL: svn+ssh://ehuelsmann@common-lisp.net/project/usocket/svn/usocket/tags/0.4.1/Makefile $

clean:
	find -name -o -name "*~" -o -name "*.err" -o -name "*.x86f" -o -name "*.lib" -o -name "*.fas" -o -name "*.fasl" -o -name "*.faslmt" -o -name "*.ufsl" -o -name "*.abcl" | xargs rm

commit:
	make clean; svn up; svn ci

## cl-usocket 0.5.5

=== debian/changelog ===
cl-usocket (0.5.5-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump std-ver to 3.9.3, no change required.
  * Use 3.0 (quilt) source format.

 -- Aron Xu <aron@debian.org>  Sat, 12 May 2012 05:10:08 +0000

cl-usocket (0.5.4-2) unstable; urgency=low
  [ Luca Capello ]
  * debian/control:
    + remove myself from Uploaders:.

  [ Christoph Egger ]
  * Fix package so it actually works

 -- Christoph Egger <christoph@debian.org>  Wed, 09 Nov 2011 16:23:29 +0100

cl-usocket (0.5.4-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Wed, 09 Nov 2011 16:08:55 +0100

cl-usocket (0.4.1-2) unstable; urgency=low

  * Added debian/README.building file 
  * Updated Standards-Version no real changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 09 Sep 2009 06:24:19 +0100

cl-usocket (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * updated standard version without any real changes
  * use dh_prep instead of dh_clean -k

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 29 Apr 2009 05:25:53 +0200

cl-usocket (0.3.5-2) unstable; urgency=low

  * debian/control:
    + add myself to Uploaders:.
    + add Vcs-Browser field.
    + recommend cl-rt since the test suite depends on it.
    - remove trailing empty space and lines.

  * debian/cl-usocket.install:
    + fix installation of files and folder (Closes: #472776).
    + install into /usr/share/common-lisp/source/usocket instead
      of /usr/share/common-lisp/source/cl-usocket, in line with
      other Common Lisp packages.

  * debian/rules:
    + rewritten to be in line with other Common Lisp packages.

 -- Luca Capello <luca@pca.it>  Fri, 06 Jun 2008 18:07:27 +0200

cl-usocket (0.3.5-1) unstable; urgency=low

  * Changed to group maintanance
  * Corrected Vcs-Git control field
  * Fix Standard Version
  * First packaging efford (Closes: #468255)

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 19 Dec 2007 10:54:55 +0100

=== debian/control ===
Source: cl-usocket
Section: devel
Priority: optional
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
 Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>> 7)
Build-Depends-Indep: dh-lisp
Standards-Version: 3.9.3
Vcs-Git: http://git.debian.org/git/pkg-common-lisp/cl-usocket.git
Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/cl-usocket.git;a=summary
Homepage: http://common-lisp.net/project/usocket/

Package: cl-usocket
Architecture: all
Depends: ${misc:Depends}, cl-split-sequence
Recommends: cl-rt
Description: Common Lisp socket library
 cl-usocket provides a library for Common Lisp programs to use TCP
 sockets. It is the successor to trivial-sockets.
 .
 To run the test suite you need the recommended cl-rt package.

=== debian/watch ===
version=2

http://common-lisp.net/project/usocket/releases/usocket-([0-9.]*)\.tar\.gz

## cl-usocket 0.6.2

=== debian/changelog ===
cl-usocket (0.6.2-1) unstable; urgency=medium

  * New upstream release
  * Add upstream signingkeyes
  * Bump standardsversion
  * Canonicalize Vcs files

 -- Christoph Egger <christoph@debian.org>  Sun, 03 May 2015 17:40:07 +0200

## cl-usocket 0.6.3.2

=== debian/changelog ===
cl-usocket (0.6.3.2-1) unstable; urgency=medium

  * New upstream version

 -- Christoph Egger <christoph@debian.org>  Fri, 11 Sep 2015 17:57:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Christoph Egger <christoph@debian.org>
 Build-Depends: debhelper (>> 7)
 Build-Depends-Indep: dh-lisp
-Standards-Version: 3.9.3
-Vcs-Git: http://git.debian.org/git/pkg-common-lisp/cl-usocket.git
-Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/cl-usocket.git;a=summary
+Standards-Version: 3.9.6
+Vcs-Git: http://anonscm.debian.org/git/pkg-common-lisp/cl-usocket.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/cl-usocket.git
 Homepage: http://common-lisp.net/project/usocket/
 
 Package: cl-usocket

=== debian/rules ===
#!/usr/bin/make -f


pkg		:= usocket
debpkg  	:= cl-$(pkg)

clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)
doc-dir		:= usr/share/doc/$(debpkg)


build-arch build-indep build:

clean:
	dh_testdir
	dh_testroot
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_lisp
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep


.PHONY: build clean install binary-indep binary-arch binary

## cl-usocket 0.7.0.1

=== debian/changelog ===
cl-usocket (0.7.0.1-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields for move to salsa.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Remove Build-Depends on dh-lisp.
  * Remove obsolete README.building.
  * Use secure URL for Homepage.
  * d/watch: bump to format version 4; use secure URL.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 10 Apr 2018 11:09:54 +0200

cl-usocket (0.7.0.1-1) unstable; urgency=medium

  * New upstream release
  * Use https url for vcs-git
  * Set R-R-R:no
  * Update standards version
  * Update debhelper compat
  * Move to section lisp

 -- Christoph Egger <christoph@debian.org>  Wed, 01 Nov 2017 19:38:29 +0100

=== debian/control ===
Source: cl-usocket
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders:
 Peter Van Eynde <pvaneynd@debian.org>,
 Christoph Egger <christoph@debian.org>
Build-Depends:
 debhelper (>= 10)
Standards-Version: 4.1.1
Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-usocket.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-usocket
Homepage: https://common-lisp.net/project/usocket/
Rules-Requires-Root: no

Package: cl-usocket
Architecture: all
Depends:
 cl-split-sequence,
 ${misc:Depends}
Recommends:
 cl-rt
Description: Common Lisp socket library
 cl-usocket provides a library for Common Lisp programs to use TCP
 sockets. It is the successor to trivial-sockets.
 .
 To run the test suite you need the recommended cl-rt package.

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,6 @@
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
-	dh_lisp
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## cl-usocket 0.7.1

=== debian/changelog ===
cl-usocket (0.7.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/copyright: reflect upstream changes
  * d/docs, d/install: update for filename changes
  * Bump S-V to 4.2.1
  * Add an autopkgtest that loads the package on sbcl, ecl and clisp
    (exercising the testsuite is not possible because portable-threads is
    not in Debian)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 19 Oct 2018 12:09:22 +0200

cl-usocket (0.7.0.1-3) unstable; urgency=medium

  * Team upload
  * Rewrite d/copyright using machine-readable format 1.0
  * Bump to debhelper compat level 11
  * Ship README.md instead of README (Closes: #903327)
  * Simplify d/rules using dh
  * Set M-A foreign
  * Bump S-V to 4.1.5
  * Ship the CHANGES file

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 23 Jul 2018 12:05:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Uploaders:
  Peter Van Eynde <pvaneynd@debian.org>,
  Christoph Egger <christoph@debian.org>
-Build-Depends:
- debhelper (>= 10)
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-usocket.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-usocket
 Homepage: https://common-lisp.net/project/usocket/
@@ -15,6 +14,7 @@
 
 Package: cl-usocket
 Architecture: all
+Multi-Arch: foreign
 Depends:
  cl-split-sequence,
  ${misc:Depends}

## cl-usocket 0.8

=== debian/changelog ===
cl-usocket (0.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update GPG signing key
  * Bump to debhelper compat level 12
  * Bump to S-V 4.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 05 Feb 2019 18:38:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders:
  Peter Van Eynde <pvaneynd@debian.org>,
  Christoph Egger <christoph@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-usocket.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-usocket
 Homepage: https://common-lisp.net/project/usocket/

## cl-usocket 0.8.3

=== debian/changelog ===
cl-usocket (0.8.3-2) unstable; urgency=medium

  * Team upload
  * Disable sbcl autopkgtest on ppc64el, it’s not reliable
  * Bump to S-V 4.5.1
  * Bump to debhelper 13
  * d/rules: simplify using debhelper 12.8’s execute_after_* rules

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 11 Dec 2020 14:07:43 +0100

cl-usocket (0.8.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/copyright: reflect upstream changes
  * Add Depends on cl-bordeaux-threads (needed for usocket-server system)
  * Ship usocket-server and usocket-test systems
  * Exercise testsuite on SBCL (Closes: #911376)
    + testsuite.patch: new patch, needed for some tests under SBCL
    + The testsuite fails badly under ECL and CLISP; for those, only try
      to load the system, and mark the test as “superficial”
  * Bump S-V to 4.5.0
  * No longer ship .gitignore file under /usr/share/common-lisp/source/

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 26 Jan 2020 12:14:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders:
  Peter Van Eynde <pvaneynd@debian.org>,
  Christoph Egger <christoph@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13),
+               debhelper (>= 12.8~)
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-usocket.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-usocket
 Homepage: https://common-lisp.net/project/usocket/
@@ -17,6 +18,7 @@
 Multi-Arch: foreign
 Depends:
  cl-split-sequence,
+ cl-bordeaux-threads,
  ${misc:Depends}
 Recommends:
  cl-rt

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_install:
	rm -f debian/cl-usocket/usr/share/common-lisp/source/usocket/backend/.gitignore

=== debian/tests/control ===
Test-Command: sbcl --script debian/tests/runtests.lisp
Depends: @, cl-rt, sbcl
Restrictions: allow-stderr
Architecture: !ppc64el

Test-Command: ecl -norc -shell debian/tests/runtests.lisp
Depends: @, cl-rt, ecl
Restrictions: allow-stderr, superficial

Test-Command: clisp -norc debian/tests/runtests.lisp
Depends: @, cl-rt, clisp
Restrictions: allow-stderr, superficial

## cl-usocket 0.8.8

=== docker/Makefile ===
DOCKER_USER=binghelisp
DOCKER_IMAGE=$(DOCKER_USER)/lisp-dev

build:
	docker buildx build --platform linux/i386,linux/amd64,linux/arm64/v8 -t $(DOCKER_IMAGE) .

push:
	docker push $(DOCKER_IMAGE)

run-i386:
	docker pull --platform linux/i386 $(DOCKER_IMAGE)
	docker run --platform linux/i386 -ti \
		-v Lisp:/Lisp -v ~/Downloads:/hgfs $(DOCKER_IMAGE)

run-amd64:
	docker pull --platform linux/amd64 $(DOCKER_IMAGE)
	docker run --platform linux/amd64 -ti \
		-v Lisp:/Lisp -v ~/Downloads:/hgfs $(DOCKER_IMAGE)

run-arm64:
	docker pull --platform linux/arm64/v8 $(DOCKER_IMAGE)
	docker run --platform linux/arm64/v8 -ti \
		-v Lisp:/Lisp -v ~/Downloads:/hgfs $(DOCKER_IMAGE)

run:
	echo "use make run-i386, run-amd64 or run-arm64"

=== debian/changelog ===
cl-usocket (0.8.8-3) unstable; urgency=medium

  * Remove autopkgtest as they cannot reliably work without network
    connections, which is not always present on test systems. 
    (Closes: 970345, 1093589, 1094860)

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 08 Mar 2025 11:58:00 +0100

cl-usocket (0.8.8-2) unstable; urgency=medium

  * Applied fixes to the testsuites
  * Import upstream fix for SBCL related bug

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 05 Jan 2025 20:43:00 +0100

cl-usocket (0.8.8-1) unstable; urgency=medium

  * New upstream version 0.8.8
  * Refreshed patches
  * Updated Standards-Version, no changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 30 Dec 2024 21:41:56 +0100

cl-usocket (0.8.3-3) unstable; urgency=medium

  * Team upload.
  * Disable autopkgtests with clisp.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 05 Sep 2024 12:09:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Christoph Egger <christoph@debian.org>
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 12.8~)
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-usocket.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-usocket
 Homepage: https://common-lisp.net/project/usocket/

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://common-lisp.net/project/usocket/releases/usocket-([0-9.]*)\.tar\.gz
